<?php
/**
 * Plugin Name: Impact Widgets for Elementor
 * Plugin URI: https://wordpress.org/plugins/impact-widgets-for-elementor/
 * Description: Elementor widget pack with advanced design widgets.
 * Version: 1.3.3
 * Author: Impact Addons
 * Author URI: https://impactaddons.com
 * Text Domain: impact-widgets-for-elementor
 * Domain Path: /languages
 * Requires at least: 6.0
 * Requires Plugins: elementor
 * Requires PHP: 7.4
 * Elementor tested up to: 3.27.0
 * License: GPL-2.0-or-later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'IMPACT_WIDGETS_ELEMENTOR_VERSION', '1.3.3' );
define( 'IMPACT_WIDGETS_ELEMENTOR_FILE', __FILE__ );
define( 'IMPACT_WIDGETS_ELEMENTOR_PATH', plugin_dir_path( __FILE__ ) );
define( 'IMPACT_WIDGETS_ELEMENTOR_URL', plugin_dir_url( __FILE__ ) );
define( 'IMPACT_WIDGETS_ELEMENTOR_BASENAME', plugin_basename( __FILE__ ) );
define( 'IMPACT_WIDGETS_ELEMENTOR_MINIMUM_PHP_VERSION', '7.4' );
define( 'IMPACT_WIDGETS_ELEMENTOR_MINIMUM_WP_VERSION', '6.0' );
define( 'IMPACT_WIDGETS_ELEMENTOR_MINIMUM_ELEMENTOR_VERSION', '3.0.0' );

if ( ! defined( 'IAEW_VERSION' ) ) {
	define( 'IAEW_VERSION', IMPACT_WIDGETS_ELEMENTOR_VERSION );
}

require_once IMPACT_WIDGETS_ELEMENTOR_PATH . 'includes/class-plugin.php';

\ImpactAddons\ImpactWidgetsForElementor\Plugin::instance();
